Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
New: the Yuno docs MCP server. Connect https://docs.y.uno/mcp to your coding agent and ask for a first payment. Set it up →
Retrieves the details and current status of a specific payment link by code
cURL
curl --request GET \ --url https://api-sandbox.y.uno/v1/payment-links/{code} \ --header 'private-secret-key: <api-key>' \ --header 'public-api-key: <api-key>'
import requests url = "https://api-sandbox.y.uno/v1/payment-links/{code}" headers = { "public-api-key": "<api-key>", "private-secret-key": "<api-key>" } response = requests.get(url, headers=headers) print(response.text)
const options = { method: 'GET', headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'} }; fetch('https://api-sandbox.y.uno/v1/payment-links/{code}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-sandbox.y.uno/v1/payment-links/{code}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "private-secret-key: <api-key>", "public-api-key: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-sandbox.y.uno/v1/payment-links/{code}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("public-api-key", "<api-key>") req.Header.Add("private-secret-key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api-sandbox.y.uno/v1/payment-links/{code}") .header("public-api-key", "<api-key>") .header("private-secret-key", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api-sandbox.y.uno/v1/payment-links/{code}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["public-api-key"] = '<api-key>' request["private-secret-key"] = '<api-key>' response = http.request(request) puts response.read_body
201
RETRIVE PAYMENT LINK
The code of the payment link (UUID, 36 chars).
"aace3f6d-e26d-45d0-9a4f-66523909ddf9"
"US"
Show child attributes
"CREATED"
"PRUEBA PAYMENT LINK 10/07"
false
true
"https://checkout.sandbox.y.uno/payment/status"
The Stripe invoice this payment link pays, as it was sent when the link was created. The key is absent on links created without it.
"b887a970-9722-44fe-ab17-106bf1b93577"
"8147da44-4de9-48ff-a194-51b2cd7d2a03"
"https://checkout.sandbox.y.uno/payment?session=ac63a0d7-b2d7-4e72-9062-2e2e3a448359"
0
""
Was this page helpful?